Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyFilter::MappingFilter Interface Reference

Mapping filters can be used to change properties of an event as it traverses the Notification Service. More...

`import "CosNotifyFilter.idl";`

Collaboration diagram for CosNotifyFilter::MappingFilter:

[legend]
List of all members.

## Public Methods

MappingConstraintInfoSeq | add_mapping_constraints (in MappingConstraintPairSeq pair_list) raises (InvalidConstraint, InvalidValue)
| Add multiple mapping constraints to the filter.
void | modify_mapping_constraints (in ConstraintIDSeq del_list, in MappingConstraintInfoSeq modify_list) raises (InvalidConstraint, InvalidValue, ConstraintNotFound)
| Modify and/or remove mapping constraints in the filter.
MappingConstraintInfoSeq | get_mapping_constraints (in ConstraintIDSeq id_list) raises (ConstraintNotFound)
| Retrieve multiple mapping constraints from the filter.
MappingConstraintInfoSeq | get_all_mapping_constraints ()
| Get all the mapping constraints from the Filter.
void | remove_all_mapping_constraints ()
| Remove all the mapping constraints in the Filter.
void | destroy ()
| Destroy the mapping filter.
boolean | match (in any filterable_data, out any result_to_set) raises (UnsupportedFilterableData)
| Test an event against the mapping constraints.
boolean | match_structured (in CosNotification::StructuredEvent filterable_data, out any result_to_set) raises (UnsupportedFilterableData)
boolean | match_typed (in CosNotification::PropertySeq filterable_data, out any result_to_set) raises (UnsupportedFilterableData)

## Public Attributes

readonly attribute string | constraint_grammar
| Return the constraint grammar used in the mapping filter.
readonly attribute CORBA::TypeCode | value_type
readonly attribute any | default_value
| Return the default value set by this mapping filter.

## Detailed Description

Mapping filters can be used to change properties of an event as it traverses the Notification Service.

## Member Function Documentation

MappingConstraintInfoSeq CosNotifyFilter::MappingFilter::add_mapping_constraints | ( | in MappingConstraintPairSeq | pair_list | ) | raises (InvalidConstraint, InvalidValue)

Add multiple mapping constraints to the filter.

Parameters:

  pair_list | List of constraint expressions and the corresponding property value

Returns:
  The list of constraint expressions, their values, and the IDs assigned to them in this Filter.

Exceptions:

  InvalidConstraint | if one or more constraint expressions do not match the constraint grammar of this mapping filter
  InvalidValue | if the value in one or more mapping constraint pairs does not match the type code for this mapping filter.

void CosNotifyFilter::MappingFilter::destroy | ( |  | ) |

| Destroy the mapping filter.

MappingConstraintInfoSeq CosNotifyFilter::MappingFilter::get_all_mapping_constraints | ( |  | ) |

| Get all the mapping constraints from the Filter.

MappingConstraintInfoSeq CosNotifyFilter::MappingFilter::get_mapping_constraints | ( | in ConstraintIDSeq | id_list | ) | raises (ConstraintNotFound)

Retrieve multiple mapping constraints from the filter.

Parameters:

  id_list | the list of mapping constraint IDs requested

Returns:
  The list of constraint expressions, their values and IDs.

Exceptions:

  ConstraintNotFound | if one or more mapping constraint IDs are not found in the filter

boolean CosNotifyFilter::MappingFilter::match | ( | in any | filterable_data,
|  | out any | result_to_set
| ) | raises (UnsupportedFilterableData)

| Test an event against the mapping constraints.

boolean CosNotifyFilter::MappingFilter::match_structured | ( | in CosNotification::StructuredEvent | filterable_data,
|  | out any | result_to_set
| ) | raises (UnsupportedFilterableData)

boolean CosNotifyFilter::MappingFilter::match_typed | ( | in CosNotification::PropertySeq | filterable_data,
|  | out any | result_to_set
| ) | raises (UnsupportedFilterableData)

void CosNotifyFilter::MappingFilter::modify_mapping_constraints | ( | in ConstraintIDSeq | del_list,
|  | in MappingConstraintInfoSeq | modify_list
| ) | raises (InvalidConstraint, InvalidValue, ConstraintNotFound)

Modify and/or remove mapping constraints in the filter.

Parameters:

  del_list | list of constraint IDs that should be removed
  modify_list | list of constraints that would be modified

Exceptions:

  InvalidConstraint | if one or more constraint expressions do not match the constraint grammar of this mapping filter
  InvalidValue | if the value in one or more mapping constraint pairs does not match the type code for this mapping filter.
  ConstraintNotFound | if one or more mapping constraint IDs are not found in the filter

void CosNotifyFilter::MappingFilter::remove_all_mapping_constraints | ( |  | ) |

| Remove all the mapping constraints in the Filter.

## Member Data Documentation

readonly attribute string CosNotifyFilter::MappingFilter::constraint_grammar

| Return the constraint grammar used in the mapping filter.

readonly attribute any CosNotifyFilter::MappingFilter::default_value

| Return the default value set by this mapping filter. The default value is used if there are no mapping constraint expressions matching the event.

readonly attribute CORBA::TypeCode CosNotifyFilter::MappingFilter::value_type

| Return the type code for the property affected by this mapping filter

The documentation for this interface was generated from the following file:

- CosNotifyFilter.idl